UCYCOM(4) | Device Drivers Manual | UCYCOM(4)

# NAME

`ucycom` — USB support for Cypress microcontroller based serial adapters

# SYNOPSIS

`ucycom at uhidev? reportid ?`

# HARDWARE

The `ucycom` driver supports the following adapters:

Various low-cost USB-RS232 adapters
Delmore Earthmate GPS receiver

# DESCRIPTION

The `ucycom` driver provides support for Cypress microcontroller based USB-to-RS-232 adapter. The `ucycom` driver shows a behaviour like a tty(4). This means that normal programs such as tip(1) or pppd(8) can be used to access the device.

# FILES

/dev/ttyY?

# SEE ALSO

uhidev(4), usb(4)

# HISTORY

The `ucycom` driver appeared in NetBSD 4.0.

July 16, 2005 | NetBSD 11.0